Page MenuHomePhabricator

On Special:UnlinkAccounts, when no auth request is passed, show a proper error message instead of an InvalidArgumentException error
Closed, ResolvedPublic

Description

I was going through special pages trying to see what they did, but when I got to Special:UnlinkAccounts (which I couldn't find documentation for) I got:
[XTaJVApAAD0AAEQDZ5oAAABN] 2019-07-23 04:13:08: Fatal exception of type "InvalidArgumentException"

exception.file	       	/srv/mediawiki/php-1.34.0-wmf.14/includes/specialpage/AuthManagerSpecialPage.php:371
exception.message	       	no auth request
exception.trace
#0 /srv/mediawiki/php-1.34.0-wmf.14/includes/specials/SpecialUnlinkAccounts.php(76): AuthManagerSpecialPage->performAuthenticationStep(string, array)
#1 /srv/mediawiki/php-1.34.0-wmf.14/includes/htmlform/HTMLForm.php(689): SpecialUnlinkAccounts->handleFormSubmit(array, OOUIHTMLForm)
#2 /srv/mediawiki/php-1.34.0-wmf.14/includes/specialpage/AuthManagerSpecialPage.php(416): HTMLForm->trySubmit()
#3 /srv/mediawiki/php-1.34.0-wmf.14/includes/specials/SpecialUnlinkAccounts.php(43): AuthManagerSpecialPage->trySubmit()
#4 /srv/mediawiki/php-1.34.0-wmf.14/includes/specialpage/SpecialPage.php(571): SpecialUnlinkAccounts->execute(NULL)
#5 /srv/mediawiki/php-1.34.0-wmf.14/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(NULL)
#6 /srv/mediawiki/php-1.34.0-wmf.14/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#7 /srv/mediawiki/php-1.34.0-wmf.14/includes/MediaWiki.php(884): MediaWiki->performRequest()
#8 /srv/mediawiki/php-1.34.0-wmf.14/includes/MediaWiki.php(515): MediaWiki->main()
#9 /srv/mediawiki/php-1.34.0-wmf.14/index.php(42): MediaWiki->run()
#10 /srv/mediawiki/w/index.php(3): include(string)
#11 {main}
exception_id	       	XTaJVApAAD0AAEQDZ5oAAABN
exception_url	       	/wiki/Special:UnlinkAccounts

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJul 23 2019, 4:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Peachey88 added a subscriber: Peachey88.

Quick search on MediawikiWiki suggestions UnlinkAccounts belongs to AuthManager

Aklapper renamed this task from Special:UnlinkAccounts - InvalidArgumentException error to On Special:UnlinkAccounts, when no auth request is passed, show a proper error message instead of an InvalidArgumentException error.Jul 23 2019, 10:37 AM
Aklapper updated the task description. (Show Details)
Krinkle added a project: Core Platform Team.
Krinkle added subscribers: Anomie, Tgr, Krinkle.

Not sure whether this is officially Readers-Infra (@Tgr) or CTP (@Anomie) for first point of contact. CC-ing both, but tagging CPT per mw:Maintainers.

Team-wise, probably CPT. Person-wise, though, probably Gergő for UI aspects but either of us should be able to handle it.

Change 525122 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Better handle "no accounts to unlink" case in Special:UnlinkAccounts

https://gerrit.wikimedia.org/r/525122

Anomie claimed this task.Jul 23 2019, 4:14 PM
DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.Jul 23 2019, 5:00 PM

Change 525122 merged by jenkins-bot:
[mediawiki/core@master] Better handle "no accounts to unlink" case in Special:UnlinkAccounts

https://gerrit.wikimedia.org/r/525122

Thanks @Anomie - just tested this on the beta cluster and it worked.

Pchelolo closed this task as Resolved.Aug 6 2019, 4:18 PM
Pchelolo added a subscriber: Pchelolo.

Checked the logs. The error indeed has disappeared.

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:05 PM